diff --git a/.github/workflows/test-builds.yml b/.github/workflows/test-builds.yml
index 0030dceb2a..9624733838 100644
--- a/.github/workflows/test-builds.yml
+++ b/.github/workflows/test-builds.yml
@@ -36,6 +36,7 @@ jobs:
         # Base Environments
 
         - DUE
+        - DUE_archim
         - esp32
         - linux_native
         - mega2560
diff --git a/buildroot/tests/DUE-tests b/buildroot/tests/DUE-tests
index 91fba12a3e..0da0d798d0 100755
--- a/buildroot/tests/DUE-tests
+++ b/buildroot/tests/DUE-tests
@@ -63,15 +63,3 @@ opt_set EXTRUDERS 2
 opt_set NUM_SERVOS 1
 opt_enable SWITCHING_EXTRUDER ULTIMAKERCONTROLLER BEEP_ON_FEEDRATE_CHANGE POWER_LOSS_RECOVERY
 exec_test $1 $2 "RAMPS4DUE_EEF with SWITCHING_EXTRUDER, POWER_LOSS_RECOVERY"
-
-#
-# Test Archim 1
-#
-use_example_configs UltiMachine/Archim1
-exec_test $1 $2 "Archim 1 base configuration"
-
-#
-# Test Archim 2
-#
-use_example_configs UltiMachine/Archim2
-exec_test $1 $2 "Archim 2 base configuration"
diff --git a/buildroot/tests/DUE_archim-tests b/buildroot/tests/DUE_archim-tests
new file mode 100755
index 0000000000..4d9eb36419
--- /dev/null
+++ b/buildroot/tests/DUE_archim-tests
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+#
+# Build tests for DUE (Atmel SAM3X8E ARM Cortex-M3)
+#
+
+# exit on first failure
+set -e
+
+#
+# Test Archim 1
+#
+use_example_configs UltiMachine/Archim1
+exec_test $1 $2 "Archim 1 base configuration"
+
+#
+# Test Archim 2
+#
+use_example_configs UltiMachine/Archim2
+exec_test $1 $2 "Archim 2 base configuration"
+
+restore_configs